=== tvision/debian/changelog ===
rhtvision (1.0.5-1) unstable; urgency=low

  * New upstream version:
    - Bugfixes.
    - Debian diffs incorporated on upstream source.
    - Renamed the name of the library from libtv to librhtv.
    - Some more classes added.
  * Standards version now is 2.5.0.0 (no changes).
  * Instead of doing the symlinks manually, now I use dh_link.
  * Now requires debhelpers >= 1.2.9.
  * Mention in debian/maintainer.notes that debian/rules should be mode
    755.

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Tue,  6 Apr 1999 22:24:13 -0300

rhtvision (1.0.3-6) unstable; urgency=low

  * Removed postrm for rhtvision1-dev and rhtvision1, since it is not
    necessary.
  * Removed postinst for rhtvision1-dev since it is not necessary.
  * Packages checked with Lintian, there are some warnings yet...
  * Added maintainer.notes, gives usefull information for the
    maintainer (hey, thats me!).
  * I forgot about doing a symlink in the rhtvision1-dev package from
    rhtvision1.so to rhtvision1.so.1.0.3 (Lintian not complained about
    this!).

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Fri,  5 Mar 1999 16:04:23 -0300

rhtvision (1.0.3-5) unstable; urgency=low

  * Applied patches from upstream maintainer. Avoiding deleting some
    files that should not be deleted, added a clean-debian rule to
    clean Debian specific files, only headers files are copied from the
    include directory, and corrected the copying of files in the
    example directory (it seems that the author has some files there
    that don't need to be copied, dh_installexamples doesn't help very
    much...).
  * Made the clean target to depend on clean-debian, to avoid
    repetition of code.

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Mon,  1 Mar 1999 00:29:43 -0300

rhtvision (1.0.3-4) unstable; urgency=low

  * I don't remembered to add -lgpm on the upstream makemak.pl file.
  * Now the symlink is forced (-f parameter to ln).

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Sun, 28 Feb 1999 23:37:46 -0300

rhtvision (1.0.3-3) unstable; urgency=low

  * Removed some .ex files that never will be necessary.
  * Corrected upstream makemak.pl script to make a shared library that
    has dependencies, also added -pipe switch to gcc (little faster).

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Sun, 28 Feb 1999 22:35:57 -0300

rhtvision (1.0.3-2) unstable; urgency=low

  * Lots of bugfixes and now it works.
  * First version showed to the upstream authors.

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Fri, 19 Feb 1999 02:14:01 -0300

rhtvision (1.0.3-1) unstable; urgency=low

  * Initial Release.

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Wed, 17 Feb 1999 13:05:15 -0300

Local variables:
mode: debian-changelog
add-log-mailing-address: "lubaldo@adinet.com.uy"
End:
