=== tvision/debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independant
# package.

package=rhtvision

version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	#-mkdir shared static
	#
	# First build the shared library
	#cd shared ; \
	#  $(MAKE) -f ../Makefile VPATH=".." srcdir=".." \
	#      CFLAGS="-O2 -fPIC -pipe" ; \
	#    gcc -shared -Wl,-soname,$(package).so.$(version_major) -o $(package).so.$(version) `ls *.o`
	cd linuxso; ./makemak.pl;


	# Build the static library (it does not need Position Independent Code,
	# which reserves one register; thus without -fPIC we get more efficient
	# code).
	#
	#cd static ; \
	#     $(MAKE) -f ../Makefile VPATH=".." srcdir=".." \
	#          CFLAGS="-O2 -pipe" LDFLAGS="-s" progs
	cd linux; $(MAKE)

	touch build-stamp


clean: clean-debian
	#-rm -rf static shared
	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	rm -f linux/obj/*.o
	rm -f linux/librhtv.a
	rm -f linuxso/librhtv.so.*
	rm -f linuxso/Makefile
	rm -f linuxso/gkeyli.cc
	rm -f linuxso/instlib
	rm -f linuxso/obj/*.o


clean-debian:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	#I should investigate why here dh_clean isn't called with the -k switch...
	dh_clean


install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	#$(MAKE) install DESTDIR=`pwd`/debian/tmp
	cp linuxso/librhtv.so.$(version) debian/tmp/usr/lib
	cp linux/librhtv.a debian/tmp/usr/lib/librhtv_g.a
	cp linux/librhtv.a debian/tmp/usr/lib/librhtv.a
	cp include/*.h debian/tmp/usr/include/rhtvision

	dh_link usr/lib/librhtv.so.$(version) usr/lib/librhtv.so.$(version_major)   usr/lib/librhtv.so.$(version) usr/lib/librhtv.so
	dh_movefiles -p rhtvision1

	touch install-stamp


## Build architecture-independent files here.
#binary-indep: build install
##	dh_testversion
#	dh_testdir -i
#	dh_testroot -i
#	dh_installdocs -i
#	dh_installexamples -i
##	dh_installmenu -i
##	dh_installemacsen -i
##	dh_installinit -i
##	dh_installcron -i
##	dh_installmanpages -i
#	dh_undocumented rhtvision.3 tvision.3
#	dh_installchangelogs -i change.log
#	dh_compress -i
#	dh_fixperms -i
##	dh_suidregister -i
#	dh_installdeb -i
#	dh_gencontrol -i
#	dh_md5sums -i
#	dh_builddeb -i


binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
	dh_undocumented rhtvision.3 tvision.3
	dh_installchangelogs change.log
	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
